Bug 407151 - ntfsprogs fails tests on ppc
ntfsprogs fails tests on ppc
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ntfsprogs (Show other bugs)
rawhide
powerpc Linux
low Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: F-ExcludeArch-ppc
  Show dependency treegraph
 
Reported: 2007-11-30 22:10 EST by Tom "spot" Callaway
Modified: 2012-01-13 14:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-01-13 14:23:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2007-11-30 22:10:59 EST
Description of problem:

ntfsprogs fails its tests on ppc:

+ make test
(cd libntfs && make libs) || exit 1;
make[1]: Entering directory `/builddir/build/BUILD/ntfsprogs-2.0.0/libntfs'
make[1]: Nothing to be done for `libs'.
make[1]: Leaving directory `/builddir/build/BUILD/ntfsprogs-2.0.0/libntfs'
(cd test && make all test) || exit 1;
make[1]: Entering directory `/builddir/build/BUILD/ntfsprogs-2.0.0/test'
make[1]: Nothing to be done for `all'.
Files runlist-data/zero and zero are identical
Files runlist-data/pure-cs and pure-cs are identical
Files runlist-data/pure-cm and pure-cm are identical
Files runlist-data/pure-ns and pure-ns are identical
Files runlist-data/pure-nm and pure-nm are identical
Files runlist-data/frag123 and frag123 differ
Files runlist-data/frag132 and frag132 differ
Files runlist-data/frag213 and frag213 differ
Files runlist-data/frag231 and frag231 differ
Files runlist-data/frag312 and frag312 differ
Files runlist-data/frag321 and frag321 differ
make[1]: *** [testf] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/ntfsprogs-2.0.0/test'
make: *** [test] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.31445 (%check)

I'm setting excludearch here, as I doubt there is a lot of interest in ntfs on ppc.
Comment 1 Tom "spot" Callaway 2007-11-30 22:11:28 EST
Note that this is only applicable to 2.0.0 in rawhide.
Comment 2 David Woodhouse 2008-01-31 01:45:13 EST
Is the problem reported upstream?
Comment 3 Tom "spot" Callaway 2008-01-31 11:31:00 EST
Upstream has no formal bug tracking mechanism, so I've posted it to their "bug
forum":

http://forum.linux-ntfs.org/viewtopic.php?p=2699
Comment 4 Bug Zapper 2008-05-14 00:04:14 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 19:14:50 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Phil Knirsch 2012-01-13 14:23:51 EST
Closing bug due to inactivity and ntfsprogs is marked as dead by now.

Thanks & regards, Phil

Note You need to log in before you can comment on or make changes to this bug.